Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.cybergarage.upnp.xml
Class DeviceData

    java.lang.Object
      org.cybergarage.upnp.xml.NodeData
          org.cybergarage.upnp.xml.DeviceData

    public class DeviceData

extends NodeData

Constructor Summary
`DeviceData()`

Method Summary
`Advertiser` | `getAdvertiser()`
`ListenerList` | `getControlActionListenerList()`
`File` | `getDescriptionFile()`
`String` | `getDescriptionURI()`
`int` | `getHTTPPort()`
`HTTPServerList` | `getHTTPServerList()`
`int` | `getLeaseTime()`
`String` | `getLocation()`
`SSDPPacket` | `getSSDPPacket()`
`SSDPSearchSocketList` | `getSSDPSearchSocketList()`
`void` | `setAdvertiser(Advertiser adv)`
`void` | `setDescriptionFile(File descriptionFile)`
`void` | `setDescriptionURI(String descriptionURI)`
`void` | `setHTTPPort(int port)`
`void` | `setLeaseTime(int val)`
`void` | `setLocation(String location)`
`void` | `setSSDPPacket(SSDPPacket packet)`

Methods inherited from class org.cybergarage.upnp.xml.NodeData
`getNode, setNode`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DeviceData

    public DeviceData()

Method Detail

### getDescriptionFile

    public File getDescriptionFile()

### getDescriptionURI

    public String getDescriptionURI()

### setDescriptionFile

    public void setDescriptionFile(File descriptionFile)

### setDescriptionURI

    public void setDescriptionURI(String descriptionURI)

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### getLeaseTime

    public int getLeaseTime()

### setLeaseTime

    public void setLeaseTime(int val)

### getHTTPServerList

    public HTTPServerList getHTTPServerList()

### getHTTPPort

    public int getHTTPPort()

### setHTTPPort

    public void setHTTPPort(int port)

### getControlActionListenerList

    public ListenerList getControlActionListenerList()

### getSSDPSearchSocketList

    public SSDPSearchSocketList getSSDPSearchSocketList()

### getSSDPPacket

    public SSDPPacket getSSDPPacket()

### setSSDPPacket

    public void setSSDPPacket(SSDPPacket packet)

### setAdvertiser

    public void setAdvertiser(Advertiser adv)

### getAdvertiser

    public Advertiser getAdvertiser()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD